/**
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */
import request from '../request'

// 月兑活动 - 首页
const index = (data) => {
	return request({
		url: 'months'
	})
}

// 月兑活动 - 商品详情
const details = (month_id) => {
	return request({
		url : "months/" + month_id
	})
}

// 月兑活动 - 确认订单
const buy = (data) => {
	return request({
		url : "months/buy",
		data: data
	})
}

// 月兑活动 - 提交订单
const buySubmit = (data) => {
	return request({
		url     : "months/buy",
		method  : "POST",
		data    : data
	})
}

// 月兑活动 - 优惠券列表
const logs = (data) => {
	return request({
		url     : "account/logs",
		data    : data
	})
}

// 月兑活动 - 账变列表
const coupon = (data) => {
	return request({
		url     : "months/coupons",
		data    : data
	})
}

// 月兑活动 - 兑换列表
const monthsList = (category_id) => {
	return request({
		url     : "months/goods/" + category_id
	})
}


// 月兑活动 - 兑换列表
const monthsChoose = (category_id) => {
	return request({
		url     : "months/category/" + category_id + "/choose"
	})
}

// 月兑活动 - 领取红包
const monthsPacket = (data) => {
	return request({
		url     : "months/red_packet",
		data    : data
	})
}

// 月兑活动 - 可用商家列表
const shopsUrl = (coupon_id, data) => {
	return request({
		url     : "washcar/" + coupon_id + "/shops",
		data    : data
	})
}

// 入库用户微信信息
const authInfo = (data) => {
	return request({
		url     : "auth/info",
		method  : "POST",
		data    : data
	})
}


// h5微信支付获取微信授权地址
const getAuthUrl = (data) => {
    return request({
        url : 'auth/get_auth_url',
        data: data
    })
}

export {
	index,
	details,
    buy,
    buySubmit,
	coupon,
	logs,
	monthsList,
	monthsChoose,
	monthsPacket,
	shopsUrl,
	authInfo,
	getAuthUrl
}